de.dhbwstuttgart.typeinference.unify

## Class CSubstitutionGenVar

- java.lang.Object
- - de.dhbwstuttgart.typeinference.unify.CSubstitution
  - - de.dhbwstuttgart.typeinference.unify.CSubstitutionGenVar

    public class CSubstitutionGenVar
    extends CSubstitution

Implementierung einer Typsubstitution der GenVar. Bildet eine zu ersetzende `TypePlaceholder` auf einen Substitutions-Typ ab. Instanzen dieser Klasse werden in der Regel aus `Pair`-Objekten erzeugt.

Version:
  $Date: 2006/06/13 10:37:32 $
Author:
  Martin PlÃ¯Â¿Â½micke

### Field Summary

Fields
`private GenericTypeVar` `m_TypeVar`

### Fields inherited from class de.dhbwstuttgart.typeinference.unify.CSubstitution

`inferencelog, m_Type`

### Constructor Summary

Constructors
Constructor and Description
`CSubstitutionGenVar()`
`CSubstitutionGenVar(GenericTypeVar typeVar, Type type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Type` `getTypeVar()` Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle
`java.lang.String` `toString()`

### Methods inherited from class de.dhbwstuttgart.typeinference.unify.CSubstitution

`applyThisSubstitution, applyUnifier, clone, equals, getType, setType, setTypeVar`

### Methods inherited from class java.lang.Object

`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### m_TypeVar

    private GenericTypeVar m_TypeVar

### Constructor Detail

#### CSubstitutionGenVar

    public CSubstitutionGenVar()

#### CSubstitutionGenVar

    public CSubstitutionGenVar(GenericTypeVar typeVar,
                               Type type)

### Method Detail

#### getTypeVar

    public Type getTypeVar()

Author: JÃ¯Â¿Â½rg BÃ¯Â¿Â½uerle

Overrides:
  `getTypeVar` in class `CSubstitution`
Returns:
  Returns the TypeVar.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `CSubstitution`